package com.ydl.ydlcommon.router

import android.app.Activity
import android.content.Context
/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/03/24
 *
 * 调用上层模块方法的接口
 */
interface IYdlCommonRouter {


    fun startChooseLoginWay(activity: Activity)

    fun startPublishTrend(activity: Activity, url: String, cover: String, title: String)

    fun publishArticleToTrend(activity: Activity, url: String, cover: String, title: String)

    fun startMain(activity: Activity, isSplashActivity: Boolean)

    fun isHasUnread(): Boolean

    fun startMain(context: Context, selectTab: Int, trend_tap: String?)

    fun setMoreService(context: Context)

    fun safeTipViewGone(): Boolean

    fun setTrendsSafeTip(status: Boolean)

    fun startPrivacy(context: Context)

    fun errorAgainTime(): Long

    fun getUserInfo(): YdlUserInfo?

    fun startP2PXiaoYi(context: Context)

    fun isLogin(): Boolean

    fun getUid(): Int

    fun getAccessToken(): String?
    /**
     * 清除未读数
     */
    fun cleanUnReadNum()

}